Integrate API
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
Home
Company
Company
  • Company
  • Users
  • Office
Orders
Orders
  • Orders
  • Change Request
  • Drafts
  • GoToScan
Webhooks
  1. Company
  • Default module
    • Get started
    • Pagination and Offset
    • Company
      • Get company information
        GET
      • Delete company webhook
        DELETE
      • Get company package
        GET
      • Send a merge request to another company
        POST
    • Office
      • List all offices
      • Add new office
    • Users
      • List all users
      • Add new user
      • Get user by email
      • Update user details
      • Change user password
      • Send password reset link
      • Delete user
    • Orders
      • List orders
      • Upgrade order
      • Re-deliver order with styling options
      • Get order by ID
      • Get combined PDF document
      • Create a redraw order
    • Change Request
      • Add new change request for an order
      • List all change requests of order
      • Get change request by ID
    • Draft Orders
      • Create a draft order
      • Update a draft order
      • Delete a draft order
    • GoToScan Orders
      • Create a GoToScan order
    • Webhooks
      • About webhooks
      • Update company webhooks
      • /Order status
  • Webhooks calls
    • /Order status
  1. Company

Get company information

Prod Env
https://app.cubi.casa/api/integrate/v3
Prod Env
https://app.cubi.casa/api/integrate/v3
GET
/companies/info
Get all information about company
profile : basic information about company
configs : company features and webhooks setting
order_options: selection options for new order
style_options: selection options for styling

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://app.cubi.casa/api/integrate/v3/companies/info' \
--header 'api-key: <api-key>'
Response Response Example
{
    "id": "bcec5bd0-7813-4c30-97f2-9a0989390c8e",
    "status": "Active",
    "profile": {
        "name": "QA Enterprise",
        "email": "user-enterprise@cubicasa.com",
        "package": "enterprise",
        "country": "US",
        "currency": "usd"
    },
    "configs": {
        "location_required": false,
        "style_selection_enabled": true,
        "allow_collaborator_scan": true,
        "show_prices": false,
        "webhook_urls": [
            "https://domain1.com",
            "https://domain2.com"
        ],
        "webhook_triggers": [
            "moved_to_ready",
            "moved_to_fixing"
        ]
    },
    "order_options": {
        "add_ons": {
            "gla": {
                "default": false,
                "enabled": true
            },
            "3d_video": {
                "default": false,
                "enabled": false
            },
            "express_sla": {
                "default": true,
                "enabled": true
            },
            "3d_cad_files": {
                "default": false,
                "enabled": false
            }
        },
        "package_types": {
            "base": {
                "default": false,
                "enabled": false
            },
            "plus": {
                "default": true,
                "enabled": true
            },
            "plus_3d": {
                "default": false,
                "enabled": false
            }
        }
    },
    "style_options": [
        {
            "name": "Grayscale",
            "id": "3d61e064-5c81-4053-b786-11c228386002",
            "is_default": true,
            "preview_colors": [
                "#ffffff",
                "#eaeaea",
                "#555555",
                "#555555"
            ]
        }
    ]
}
Modified at 2025-08-11 11:34:35
Previous
Pagination and Offset
Next
Delete company webhook
Built with